<div [hidden]="!isLovForm">
    <form name="lovForm" role="form" novalidate (ngSubmit)="pushData()" #lovForm="ngForm">
        
        <div class="modal-header">
            <h6 class="modal-title" id="mySalesBrokerLabel" jhiTranslate="mpmApp.salesBroker.home.title">Sales Broker</h6>
            <button type="button" class="close" data-dismiss="modal" aria-hidden="true" (click)="clearPage()">&times;</button>
        </div>
    
        <div class="modal-body modal-lov" style="margin-top:35px">
            <p-dataTable
                [value]="salesBrokers"
                [editable]="true"
                [rows]="itemsPerPage"
                [paginator]="true"
                [pageLinks]="5"
                [rowsPerPageOptions]="[10,15,20]"
                [totalRecords]="totalItems"
                [responsive]="true"
                [lazy]="true"
                [(selection)]="selected" 
                dataKey="idPartyRole"
                (onLazyLoad)="loadDataLazy($event)"
                selectionMode="single">
    
                <p-header>
                    <div class="row">
                        <div class="col-md-1 offset-md-11">
                            <button pButton type="button"
                                icon="fa-plus"
                                class="ui-button-primary btn-sm"
                                style="margin-right:15px"
                                (click)="newData()">
                            </button>
                        </div>
                    </div>
                </p-header>
                <!-- <p-column expander="false" styleClass="col-icon" [style]="{'width': '35px', 'text-align': 'center'}"></p-column> -->
                <p-column header="ID Broker">
                    <ng-template let-rowData="rowData" pTemplate="body">
                            {{rowData.idBroker}}
                    </ng-template>
                </p-column>
                <p-column header="Nama Broker">
                    <ng-template let-rowData="rowData" pTemplate="body">
                            {{rowData.person.name}}
                    </ng-template>
                </p-column>
            </p-dataTable>
        </div>
    
        <div class="modal-footer">
            <button pButton type="button" data-dismiss="modal" (click)="clearPage()"
                label="{{'entity.action.cancel' | translate}}" 
                icon="fa-ban"
                class="ui-button-danger flat-label-button">
            </button>
            <button pButton type="submit" [disabled]="editForm.form.invalid || isSaving"
                label="{{'entity.action.select' | translate}}" 
                icon="fa-save"
                class="ui-button-primary flat-label-button">
            </button>
        </div>
        
    </form>
</div>

<div [hidden]="isLovForm">
    <form name="editForm" role="form" novalidate (ngSubmit)="save()" #editForm="ngForm">
        <p-panel>
            <p-header>
                {{ 'mpmApp.salesBroker.home.createOrEditLabel | translate'}}
            </p-header>
        
                <div class="form-group">
                    <label class="form-control-label mandatory" jhiTranslate="mpmApp.person.firstName" for="field_firstName">First Name</label>
                    <input type="text" class="form-control" name="firstName" id="field_firstName" [(ngModel)]="salesBroker.person.firstName"/>
                </div>
                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="mpmApp.person.cellPhone1" for="field_cellPhone1">cell Phone 1</label>
                    <input type="text" class="form-control" name="cellPhone1" id="field_cellPhone1" [(ngModel)]="salesBroker.person.cellPhone1" jhiNumbers/>
                </div>
                <div class="form-group">
                    <label class="form-control-label mandatory" jhiTranslate="mpmApp.person.address1" for="field_address1">address 1</label>
                    <input type="text" class="form-control" name="address1" id="field_address1" [(ngModel)]="salesBroker.person.postalAddress.address1" />
                </div>

            <p-footer>
                <button pButton type="button"
                    (click)="backToLov()"
                    label="{{'entity.action.cancel' | translate}}" 
                    icon="fa-ban"
                    class="ui-button-danger flat-label-button">
                </button>
                <button pButton type="submit" [disabled]="editForm.form.invalid || isSaving"
                    label="{{'entity.action.save' | translate}}" 
                    icon="fa-save"
                    class="ui-button-primary flat-label-button">
                </button>
            </p-footer>
        </p-panel>
    </form>
       
    
</div>

